restinio::null_timer_manager_t::timer_guard_t Struct Reference

Timer guard for async operations. More...

`#include <null_timer_manager.hpp>`

## Public Member Functions

template<typename... Args>
constexpr void | schedule (Args &&...) const noexcept
constexpr void | cancel () const noexcept

## Detailed Description

Timer guard for async operations.

Definition at line 28 of file null_timer_manager.hpp.

## Member Function Documentation

## cancel()

constexpr void restinio::null_timer_manager_t::timer_guard_t::cancel | ( |  | ) | const

inlineconstexprnoexcept

Definition at line 35 of file null_timer_manager.hpp.

## schedule()

template<typename... Args>

constexpr void restinio::null_timer_manager_t::timer_guard_t::schedule | ( | Args && | ... | ) | const

inlineconstexprnoexcept

Definition at line 32 of file null_timer_manager.hpp.

The documentation for this struct was generated from the following file:

- restinio/null_timer_manager.hpp